:root {
    --promo-banner-height: 45px;
    --site-nav-height: 70px;
    --site-top-space: calc(var(--promo-banner-height) + var(--site-nav-height));
}

body {
    font-family: "Belleza", sans-serif;
    color: #333; /* Gris foncé pour le texte */
    --main-offset-top: 0px;
    padding-top: var(--site-nav-height);
}

main {
    display: flex;
    flex-direction: column;

    padding-top: var(--main-offset-top);
    justify-content: start;
    align-items: center;
    text-align: center;
    width: 100%;

    color: rgba(255, 255, 255, var(--tw-text-opacity));
}
body:has(.promo-banner) {
    padding-top: var(--site-top-space);
}

/*body.has-promo-banner {*/
/*    padding-top: var(--site-top-space);*/
/*}*/

body:has(.promo-banner) header > nav.menu {
    top: var(--promo-banner-height);
}

body:has(.promo-banner) nav.menu > div.desktop {
    top: var(--promo-banner-height);
}

h1 {
    font-family: "Clicker Script", cursive;
    color: #333; /* Gris foncé pour le texte */
    text-align: center; /* Alignement des titres au centre */

    font-size: 2.25rem;
    line-height: 2rem;

    margin: 0 auto 1rem auto;
}

@media (min-width: 768px) {
    h1 {
        font-size: 4rem;
        line-height: 1;
        max-width: 80%;
    }
}

h2 {
    font-family: "Belleza", sans-serif;
    color: #333; /* Gris foncé pour le texte */
    text-align: left; /* Alignement des titres à gauche */
}

/* Menu */
header > nav.menu {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    z-index: 10;
}

nav.menu > div.desktop {
    display: none;
    margin: 0 auto;
    justify-content: center;
    padding: 1rem 1.5rem;

    position: fixed;
    z-index: 10;
    background-color: white;
    border-radius: 0.75rem;
    left: 50%;
    transform: translateX(-50%);
    width: min(75%, 1200px);
}

@media (min-width: 768px) {
    nav.menu > div.desktop {
        display: flex;
    }
}

.container {
    width: 100%; /* Par défaut 80% pour la version mobile */
    margin: 0 auto;
    /*padding: 20px;*/
}

@media (min-width: 768px) {
    .container {
        width: 80%; /* Par défaut 80% pour la version desktop */
    }
}

/*!* Pour mobile, on ajuste la largeur *!*/
/*@media (max-width: 768px) {*/
/*    .container {*/
/*        width: 95%; !* 95% pour la version mobile *!*/
/*    }*/
/*}*/

.button {
    background-color: #5bc0be; /* Vert d'eau */
    color: white;
    padding: 12px 24px;
    border-radius: 30px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    margin-top: 20px;
}

.button:hover {
    background-color: #4ab2a3; /* Vert menthe foncé */
}

.buttondisable {
    background-color: #7a7878;
    font-style: italic;
}

p {
    color: #333; /* Gris foncé pour le texte */
    font-size: 1.125rem;
    line-height: 1.8;
    text-align: left; /* Alignement des paragraphes à gauche */
}

footer {
    padding: 0.25rem 1rem;
    font-size: 0.875rem;

    width: 100%;
    position: fixed;
    z-index: 10;
    left: 50%;
    bottom: 0;
    transform: translateX(-50%);
}

@media (min-width: 768px) {
    footer {
        padding: 0.25rem 20rem;
        font-size: 0.875rem;
    }
}

footer div {
    background-color: rgba(255, 255, 255, 0.75);
    width: 100%;
    margin: 0.25rem auto;
    border-radius: 0.75rem;
}

footer p {
    color: #333;
    text-align: center;
    /*font-size: 0.875rem;*/
    background-color: transparent;
}

main li a {
    color: #5bc0be;
    font-style: bold;
}

body.page-home nav a[href="index.html"],
body.page-home {
    display: block;
    --main-offset-top: 30px;
}
body.page-home > main {
    display: block;
}

body.page-home {
    background-image: url("../images/head-spa-val-d-europe-glow-in-serenity.png");
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
}

body.page-home > main > section {
    margin-bottom: 60px;
}

body.page-home nav a[href="index.html"],
body.page-carte-cadeau nav a[href="carte-cadeau.html"],
body.page-prestations nav a[href="prestations.html"],
body.page-headspa-duo nav a[href="headspa-duo.html"],
body.page-reservation nav a[href="reservation.html"],
body.page-produits nav a[href="produits-naturels-francais-soins.html"],
body.page-apropos nav a[href="apropos.html"],
body.page-faq nav a[href="faq.html"],
body.page-blog nav a[href="blog-headspa.html"] {
    font-weight: 700;
    color: #5bc0be;
}

.bg-image2 {
    background-image: url("../images/site-bg.png");
}

body.page-carte-cadeau,
body.page-prestations,
body.page-headspa-duo,
body.page-reservation,
body.page-produits,
body.page-apropos,
body.page-faq,
body.page-blog {
    background-image: url("../images/site-bg.png");
    background-size: 100% 100%;
    background-position: center;
    background-attachment: fixed;
    background-repeat: no-repeat;
}

table td[colspan="4"] h2,
table td[colspan="5"] h2 {
    padding-left: 5rem;
    font-size: 1rem;
}

@media (min-width: 768px) {
    table td[colspan="4"] h2,
    table td[colspan="5"] h2 {
        font-size: 1.75rem;
    }
}

/* Banner */
